(***********************************************************)
(*  This file is distributed under the terms of the        *)
(*    GNU Lesser General Public License version 3          *)
(*                                                         *)
(*          Copyright 2010: Damien Pous.                   *)
(*                                                         *)
(***********************************************************)

(* printing a list, using a given separator *)
val print_list : string -> (out_channel -> 'a -> unit) -> out_channel -> 'a list -> unit

(* statistics: mean and standard deviation of an array *)
val mean_stddev: float array -> float*float

(* timing: time required by a function *)
val time: ('a -> 'b) -> 'a -> float * 'b

(* running a function for at most a given period of time *)
val timeout: float -> ('a -> 'b) -> 'a -> 'b option
